org.apache.cassandra.cql3.restrictions

## Class SingleColumnRestriction.SuperColumnKeyINRestrictionWithMarkers

- java.lang.Object
- - org.apache.cassandra.cql3.restrictions.SingleColumnRestriction
  - - org.apache.cassandra.cql3.restrictions.SingleColumnRestriction.INRestriction
    - - org.apache.cassandra.cql3.restrictions.SingleColumnRestriction.SuperColumnKeyINRestriction
      - - org.apache.cassandra.cql3.restrictions.SingleColumnRestriction.SuperColumnKeyINRestrictionWithMarkers

All Implemented Interfaces:
  Restriction, SingleRestriction

Enclosing class:
  SingleColumnRestriction

    public static class SingleColumnRestriction.SuperColumnKeyINRestrictionWithMarkers
    extends SingleColumnRestriction.SuperColumnKeyINRestriction

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction

`SingleColumnRestriction.ContainsRestriction, SingleColumnRestriction.EQRestriction, SingleColumnRestriction.INRestriction, SingleColumnRestriction.InRestrictionWithMarker, SingleColumnRestriction.InRestrictionWithValues, SingleColumnRestriction.IsNotNullRestriction, SingleColumnRestriction.LikeRestriction, SingleColumnRestriction.SliceRestriction, SingleColumnRestriction.SuperColumnKeyEQRestriction, SingleColumnRestriction.SuperColumnKeyINRestriction, SingleColumnRestriction.SuperColumnKeyINRestrictionWithMarkers, SingleColumnRestriction.SuperColumnKeyINRestrictionWithValues, SingleColumnRestriction.SuperColumnKeySliceRestriction, SingleColumnRestriction.SuperColumnMultiEQRestriction, SingleColumnRestriction.SuperColumnMultiSliceRestriction`

### Field Summary

Fields
`protected AbstractMarker` `marker`

### Fields inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction

`columnDef`

### Constructor Summary

Constructors
Constructor and Description
`SuperColumnKeyINRestrictionWithMarkers(ColumnDefinition columnDef, AbstractMarker marker)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<java.nio.ByteBuffer>` `getValues(QueryOptions options)`

### Methods inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction.SuperColumnKeyINRestriction

`addFunctionsTo, addRowFilterTo, appendTo`

### Methods inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction.INRestriction

`doMergeWith, isIN, isSupportedBy`

### Methods inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction

`getColumnDefs, getFirstColumn, getLastColumn, hasSupportingIndex, mergeWith`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.cql3.restrictions.SingleRestriction

`appendBoundTo, hasBound, isContains, isEQ, isInclusive, isLIKE, isMultiColumn, isNotNull, isSlice`

### Methods inherited from interface org.apache.cassandra.cql3.restrictions.Restriction

`isOnToken`

### Field Detail

#### marker

    protected final AbstractMarker marker

### Constructor Detail

#### SuperColumnKeyINRestrictionWithMarkers

    public SuperColumnKeyINRestrictionWithMarkers(ColumnDefinition columnDef,
                                                  AbstractMarker marker)

### Method Detail

#### getValues

    public java.util.List<java.nio.ByteBuffer> getValues(QueryOptions options)
                                                  throws InvalidRequestException

Specified by:
  `getValues` in class `SingleColumnRestriction.SuperColumnKeyINRestriction`
Throws:
  `InvalidRequestException`